
Figure - Bug #116879
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开应用小窗，进行正常模式和mini模式的切换时，小窗的顶部导航条有闪烁
现象
2023-03-11 12:33 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-11

Priority: Normal Due date: 2023-03-31

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303191230

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 从mini态切换到正常态的时候 没有第一时间把mHasCaption更新,导致DecorView在updateColorViewInt会先把Caption栏显示后,在隐藏.等到切换动画播放完成后,再次把Caption栏显示出来

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开应用小窗

2、点击mini模式按钮

3、单击mini小窗

【预期结果】

2、切换过程流畅自然

【实际结果】

2、小窗的顶部导航条有闪烁现象

【复现率】

3/3

History

#1 - 2023-03-13 11:07 - CD FW-鲁凯峰

- Root cause set to 从mini态切换到正常态的时候 没有第一时间把mHasCaption更新,导致DecorView在updateColorViewInt会先把Caption栏显示后,在隐藏.等到

切换动画播放完成后,再次把Caption栏显示出来

■ Current conclusion

问题已经解决

■ My analysis

出现问题的原因是,从mini态切换到正常态的时候 没有第一时间把mHasCaption更新,导致DecorView在updateColorViewInt会先把Caption栏显示后,在隐藏.等

到切换动画播放完成后,再次把Caption栏显示出来

修改方法是,在切换mini态后,立马更新mHasCaption状态,不需要等到onConfigurationChange的时候在来更新

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/187114
http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/187114


#2 - 2023-03-13 20:44 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

187114 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: update caption viewupdate caption when mini status changedTC-RID: 1201-0204601IssueID: TS-R-DF-116879Change-Id:

I7b60844f70ce0f1b2fba887c270d24e7290dc5e9

#3 - 2023-03-13 20:47 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#4 - 2023-03-20 16:28 - CD TEST-方永红

- Status changed from RESOLVED to VERIFY_FAILED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303191230

3.20

在进行小窗和mini模式切换时，小窗顶部状态栏仍有明显得闪烁迹象

需要继续优化

#5 - 2023-03-20 16:28 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to CD FW-鲁凯峰

#6 - 2023-03-28 10:35 - CD FW-鲁凯峰

- Due date set to 2023-03-31

#7 - 2023-03-28 10:43 - CD FW-鲁凯峰

拖动后的缩放效果和直接点击mini缩放的效果不一样,继续处理

#8 - 2023-03-29 14:08 - CD FW-鲁凯峰

■ Current conclusion

问题已经解决

■ My analysis

出现问题的原因是,点击mini按钮态切换到正常态的时候,会先把Caption栏设置成不可见,但是后面进行resize的时候,config更新后会又把caption显示出来,一

直到resize才会重新把caption栏给隐藏了，导致会有一段的白色的显示

修改方法是,点击mini按钮切换的时候,不去设置caption栏的状态,交给onConfigurationChange去处理

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/190685
http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/190685


#9 - 2023-03-29 17:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

190685 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: update caption mini statusdon't hide caption immediately when click miniTC-RID: 1201-0204601IssueID: TS-R-BUG-116879Change-Id:

I4527669716a86098d123b58591808bee9a2f3acf

#10 - 2023-03-29 17:31 - CD FW-鲁凯峰

- Status changed from VERIFY_FAILED to RESOLVED

#11 - 2023-03-29 17:31 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

#12 - 2023-04-01 15:33 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

4.1

验证通过

#13 - 2023-04-01 15:33 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#14 - 2023-04-13 10:19 - CD TEST-方永红

- % Done changed from 0 to 100

Files

Phone-STS40X190078 2023-03-11 12-32-52.mp4 13.3 MB 2023-03-11 CD TEST-方永红
